#if !defined(AFX_STORAGEINFOPAGE_H__12C0D781_CF3F_11D2_8C83_000000000000__INCLUDED_)
#define AFX_STORAGEINFOPAGE_H__12C0D781_CF3F_11D2_8C83_000000000000__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000
// StorageInfoPage.h : header file
//

/////////////////////////////////////////////////////////////////////////////
// StorageInfoPage dialog

class StorageInfoPage : public CPropertyPage
{
	DECLARE_DYNCREATE(StorageInfoPage)

// Construction
public:
	StorageInfoPage();
	~StorageInfoPage();
	inline void SetSystemInfo (ISystemInformation *pSystemInfo = NULL, CFile *pFile = NULL);

// Dialog Data
	//{{AFX_DATA(StorageInfoPage)
	enum { IDD = IDD_STORAGE_INFO_PAGE };
	CListCtrl	m_ListCtrl;
	//}}AFX_DATA


// Overrides
	// ClassWizard generate virtual function overrides
	//{{AFX_VIRTUAL(StorageInfoPage)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:
	// Generated message map functions
	//{{AFX_MSG(StorageInfoPage)
	virtual BOOL OnInitDialog();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
private:
	HRESULT GetInformation ();
	void SetListData ();
	CFile *m_pOutputFile;
	ISystemInformation *m_pSystemInfo;

	long m_lNumberOfDrives;
	SAFEARRAY *m_pbReadyArr;
	SAFEARRAY *m_pbstrDriveLetterArr;
	SAFEARRAY *m_pbstrLabelArr;
	SAFEARRAY *m_pbSupportLongNameArr;
	SAFEARRAY *m_pbstrFileSystemArr;
	SAFEARRAY *m_pbstrMediaTypeArr;
	SAFEARRAY *m_plTotalSpaceArr;
	SAFEARRAY *m_plFreeSpaceUserArr;
	SAFEARRAY *m_plFreeSpaceTotalArr;
};

inline void
StorageInfoPage::SetSystemInfo (ISystemInformation *pSystemInfo, CFile *pFile)
{
	ASSERT (pSystemInfo != NULL);
	m_pSystemInfo = pSystemInfo;
	m_pOutputFile = pFile;
}
//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_STORAGEINFOPAGE_H__12C0D781_CF3F_11D2_8C83_000000000000__INCLUDED_)
