#if !defined(AFX_OSINFOPAGE_H__FBA6EBC1_CEA5_11D2_8C82_000000000000__INCLUDED_)
#define AFX_OSINFOPAGE_H__FBA6EBC1_CEA5_11D2_8C82_000000000000__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000
// OSInfoPage.h : header file
//

/////////////////////////////////////////////////////////////////////////////
// OSInfoPage dialog

class OSInfoPage : public CPropertyPage
{
	DECLARE_DYNCREATE(OSInfoPage)

// Construction
public:
	OSInfoPage();
	~OSInfoPage();
	inline void SetSystemInfo (ISystemInformation *pSystemInfo = NULL, CFile *pFile = NULL);

// Dialog Data
	//{{AFX_DATA(OSInfoPage)
	enum { IDD = IDD_OS_INFO_PAGE };
	CListCtrl	m_ListCtrl;
	//}}AFX_DATA


// Overrides
	// ClassWizard generate virtual function overrides
	//{{AFX_VIRTUAL(OSInfoPage)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:
	// Generated message map functions
	//{{AFX_MSG(OSInfoPage)
	virtual BOOL OnInitDialog();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
private:
	void SetListData ();
	CFile *m_pOutputFile;
	ISystemInformation *m_pSystemInfo;

	BSTR m_bstrPlatform;
	BSTR m_bstrMinorVersion;
	BSTR m_bstrServicePack;
	long m_lBuildNumber;
};

inline void
OSInfoPage::SetSystemInfo (ISystemInformation *pSystemInfo, CFile *pFile)
{
	ASSERT (pSystemInfo != NULL);
	m_pSystemInfo = pSystemInfo;
	m_pOutputFile = pFile;
}
//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_OSINFOPAGE_H__FBA6EBC1_CEA5_11D2_8C82_000000000000__INCLUDED_)
